com.impinj.stp

## Interface StpApi.DeviceConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.DeviceConfig, StpApi.DeviceConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.DeviceConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.DeviceMode` | `getDeviceMode()`
    `StpApi.GPIConfig` | `getGPIConfig()`
    `StpApi.GPIConfigOrBuilder` | `getGPIConfigOrBuilder()`
    `StpApi.GPOConfig` | `getGPOConfig()`
    `StpApi.GPOConfigOrBuilder` | `getGPOConfigOrBuilder()`
    `StpApi.OperationMode` | `getOperationMode()`
    `StpApi.OperationResponsibility` | `getOperationResponsibility()`
    `StpApi.OperationResponsibilityOrBuilder` | `getOperationResponsibilityOrBuilder()`
    `StpApi.Region` | `getRegion()` repeated LicenseKey installed_license_keys = 1;
    `StpApi.RegionOrBuilder` | `getRegionOrBuilder()` repeated LicenseKey installed_license_keys = 1;
    `StpApi.ReportConfig` | `getReportConfig()`
    `StpApi.ReportConfigOrBuilder` | `getReportConfigOrBuilder()`
    `StpApi.TriggerConfig` | `getTriggerConfig()`
    `StpApi.TriggerConfigOrBuilder` | `getTriggerConfigOrBuilder()`
    `boolean` | `hasDeviceMode()`
    `boolean` | `hasGPIConfig()`
    `boolean` | `hasGPOConfig()`
    `boolean` | `hasOperationMode()`
    `boolean` | `hasOperationResponsibility()`
    `boolean` | `hasRegion()` repeated LicenseKey installed_license_keys = 1;
    `boolean` | `hasReportConfig()`
    `boolean` | `hasTriggerConfig()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasRegion

          boolean hasRegion()

      repeated LicenseKey installed_license_keys = 1;

    - #### getRegion

          StpApi.Region getRegion()

      repeated LicenseKey installed_license_keys = 1;

    - #### getRegionOrBuilder

          StpApi.RegionOrBuilder getRegionOrBuilder()

      repeated LicenseKey installed_license_keys = 1;

    - #### hasDeviceMode

          boolean hasDeviceMode()

    - #### getDeviceMode

          StpApi.DeviceMode getDeviceMode()

    - #### hasOperationMode

          boolean hasOperationMode()

    - #### getOperationMode

          StpApi.OperationMode getOperationMode()

    - #### hasOperationResponsibility

          boolean hasOperationResponsibility()

    - #### getOperationResponsibility

          StpApi.OperationResponsibility getOperationResponsibility()

    - #### getOperationResponsibilityOrBuilder

          StpApi.OperationResponsibilityOrBuilder getOperationResponsibilityOrBuilder()

    - #### hasTriggerConfig

          boolean hasTriggerConfig()

    - #### getTriggerConfig

          StpApi.TriggerConfig getTriggerConfig()

    - #### getTriggerConfigOrBuilder

          StpApi.TriggerConfigOrBuilder getTriggerConfigOrBuilder()

    - #### hasGPIConfig

          boolean hasGPIConfig()

    - #### getGPIConfig

          StpApi.GPIConfig getGPIConfig()

    - #### getGPIConfigOrBuilder

          StpApi.GPIConfigOrBuilder getGPIConfigOrBuilder()

    - #### hasGPOConfig

          boolean hasGPOConfig()

    - #### getGPOConfig

          StpApi.GPOConfig getGPOConfig()

    - #### getGPOConfigOrBuilder

          StpApi.GPOConfigOrBuilder getGPOConfigOrBuilder()

    - #### hasReportConfig

          boolean hasReportConfig()

    - #### getReportConfig

          StpApi.ReportConfig getReportConfig()

    - #### getReportConfigOrBuilder

          StpApi.ReportConfigOrBuilder getReportConfigOrBuilder()